> For the complete documentation index, see [llms.txt](https://docs.apica.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apica.io/platform-docs/zebratester-scripting/apica-data-repository-adr-aka-apica-table-server/adr-related-inline-functions-available-in-zt.md).

# ADR related inline functions available in ZT

| **getTableColumn(tableName, columnName)**                                                  | <p>Retrieves the first row in that column, there is an optional parameter row index you can pass as well when you need to have value from a particular row index</p><p><em>country = getTableColumn("100\_Sales\_Records", "Country", 1)</em></p><p>By default this function will give different column values for each request , but if you want to get always the same value , you need to pass the third parameter row index</p><p><em>team = getTableColumn("TeamDetails", "teamName", 2)</em></p>                                                                    |
| ------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **getTableRow(tableName, columnNames)**                                                    | <p>Retrieves the first row of each column given. columnNames separated by semicolon . Next call will give the second row and so on.</p><p><em>getTableRow("100\_Sales\_Records", "Country;Region")</em></p>                                                                                                                                                                                                                                                                                                                                                               |
| **getTableRowByColumn(tableName, matchColumnNames, matchColumnValues, outputColumnNames)** | <p>Retrieves the first row of column values that matches given column names and values. User can also supply the output columns to be retrieved , but it is optional . In case of multiple input, the values of matchColumnNames, matchColumnValues and outputColumnNames should be separated by a semicolon</p><p>This function will always give the values of the columns consistently, means you can have the same set of values for every call based on the criteria</p><p><em>getTableRowByColumn(“100\_Sales\_Records”, “Region;Country”, “Europe;Russia”)</em></p> |
| **setTableColumn(tableName, columnName, columnValue, uniqueFlag)**                         | <p>Set a value to a single column of the table. Value of uniqueFlag can be 0 or 1</p><p><em>setTableColumn("100\_Sales\_Records", "Country","USA", "0")</em></p>                                                                                                                                                                                                                                                                                                                                                                                                          |
| **setTableRow(tableName, columnNames, columnValues, type)**                                | <p>Set the values of a row in a table(columnNames and columnValues separated by semicolon). Value of type can be ROW or UNIQUE or STACKED</p><p><em>setTableRow("100\_Sales\_Records", "Country;Region", "Japan;Nagasaki", "ROW")</em></p>                                                                                                                                                                                                                                                                                                                                |
| **updateTableColumn(tableName, columnName, columnValue, uniqueFlag, rowIndex)**            | <p>Update a value to a single column of the table by row index. Value of uniqueFlag can be 0 or 1</p><p><em>updateTableColumn("100\_Sales\_Records", "Country","India", "0", "1")</em></p>                                                                                                                                                                                                                                                                                                                                                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apica.io/platform-docs/zebratester-scripting/apica-data-repository-adr-aka-apica-table-server/adr-related-inline-functions-available-in-zt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
